%define		major_version 1.26.20
%define		update	0
%if 0%{?update} > 0
%define		update_vers .%update
%define		update_src  -Update%update
%endif

Name:		veracrypt
Version:	%{major_version}%{?update_vers}
Release:	1%{?dist}
Summary:	Disk Encryption Software based upon TrueCrypt

License:	APL 2.0
URL:		https://www.veracrypt.fr
Source0:	VeraCrypt_%{major_version}%{?update_src}_Source.tar.bz2
Source1:	veracrypt.sudoers
Patch1:		veracrypt-1.25.9-oob-vector-index.patch
Patch2:		veracrypt-1.26.20-no-sudo-probe.patch

BuildRequires:	gcc-c++, wxGTK-devel, ImageMagick, gawk, yasm, fuse-devel
BuildRequires:  pcsc-lite-devel
Requires:	sudo

%description
VeraCrypt is a free open source disk encryption software for Windows,
Mac OSX and Linux. Brought to you by IDRIX (https://www.idrix.fr) and
based on TrueCrypt 7.1a.  VeraCrypt main features:

 Creates a virtual encrypted disk within a file and mounts it as a
 real disk.

 Encrypts an entire partition or storage device such as USB flash
 drive or hard drive.

 Encrypts a partition or drive where Windows is installed (pre-boot
 authentication).

 Encryption is automatic, real-time(on-the-fly) and transparent.

 Parallelization and pipelining allow data to be read and written as
 fast as if the drive was not encrypted.

 Encryption can be hardware-accelerated on modern processors.

 Provides plausible deniability, in case an adversary forces you to
 reveal the password: Hidden volume (steganography) and hidden
 operating system.

%prep
%setup -q -c
%patch -P 1 -p1 -b .oob-vector-index
%patch -P 2 -p1 -b .no-sudo-probe

%build
%make_build -C src TC_EXTRA_CFLAGS="%{build_cflags}" TC_EXTRA_CXXFLAGS="%{build_cxxflags}" TC_EXTRA_LDFLAGS="%{build_ldflags}" NOSTRIP=1
convert src/Resources/Icons/VeraCrypt-256x256.xpm src/Resources/Icons/veracrypt.png

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 src/Main/veracrypt $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -p src/Setup/Linux/veracrypt.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p src/Resources/Icons/veracrypt.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d/veracrypt

%files
%license License.txt
%doc doc/html
%{_bindir}/veracrypt
%{_datadir}/applications/veracrypt.desktop
%{_datadir}/pixmaps/veracrypt.png
%{_sysconfdir}/sudoers.d/veracrypt

%changelog
* Sat Mar  8 2025 Philippe Troin <phil@fifi.org> - 1.26.20-1
- Upstream updated to 1.26.20.
- Update no-sudo-probe patch to 1.26.20.

* Wed Sep 18 2024 Philippe Troin <phil@fifi.org> - 1.26.14-2
- Update BuildRequires: wxGTK3-devel -> wxGTK-devel.
- Don't override WX_CONFIG to wx-config-3.0 when calling make.
- Update patch<n> to patch -P <n> in specfile.

* Sat Sep  7 2024 Philippe Troin <phil@fifi.org> - 1.26.14-1
- Upstream updated to 1.26.14.

* Sat Jan  6 2024 Philippe Troin <phil@fifi.org> - 1.26.7-2
- Add pcsc-lite to BuildRequires.

* Tue Oct 10 2023 Philippe Troin <phil@fifi.org> - 1.26.7-1
- Upstream updated to 1.26.7.
- Update oob-vector-index patch for 1.26.7.
- Drop g++11/fedora 34 ambiguous byte patch.

* Sun Mar  6 2022 Philippe Troin <phil@fifi.org> - 1.25.9-1
- Upstream updated to 1.25.9.
- Update oob-vector-index patch for 1.25.9.

* Sat May 15 2021 Philippe Troin <phil@fifi.org> - 1.24.7-2
- Add patch for g++11/fedora 34: veracrypt-1.24-ambiguous-byte.patch.

* Sun Aug  9 2020 Philippe Troin <phil@fifi.org> - 1.24.7-1
- Upstream updated to 1.24_Update7.

* Sun Feb  2 2020 Philippe Troin <phil@fifi.org> - 1.24.4-1
- Upstream updated to 1.24_Update4.
- Drop jitterentropy-base-user.h patch.
- Update no-sudo-probe patch to 1.24.4.

* Fri Nov  1 2019 Philippe Troin <phil@fifi.org> - 1.24.1-2
- Prevent sudo probes that ask password.

* Thu Oct 31 2019 Philippe Troin <phil@fifi.org> - 1.24.1-1
- Update to 1.24_Hotfix1.
- Adjust spec for _Hotfix release naming scheme.
- Patch conflicting symbol in src/Crypto/jitterentropy-base-user.h.

* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 1.24-2
- Add BuildRequires: yasm, fuse-devel.

* Sat Oct 12 2019 Philippe Troin <phil@fifi.org> - 1.24-1
- Upstream updated to 1.24.

* Sat May  4 2019 Philippe Troin <phil@fifi.org> - 1.23-3
- Force wx-config to wx-config-3.0.

* Fri Nov 16 2018 Philippe Troin <phil@fifi.org> - 1.23-2
- Fix assertion failure (vector index out of bounds).

* Fri Nov 16 2018 Philippe Troin <phil@fifi.org> - 1.23-1
- Upstream updated to 1.23.

* Thu Apr 12 2018 Philippe Troin <phil@fifi.org> - 1.22-1
- Upstream updated to 1.22.

* Mon Mar 19 2018 Philippe Troin <phil@fifi.org> - 1.21-1
- Created.
